Package com.meterware.httpunit.scripting

# Interface ScriptingEngineFactory

public interface ScriptingEngineFactory

Author:
  Russell Gold

## Method Summary

Modifier and Type
Method
Description
`void`
`associate(WebResponse response)`
Associates a scripting engine with the specified HTML web response.
`void`
`clearErrorMessages()`
Clears the accumulated script error messages.
`ScriptingHandler`
`createHandler(HTMLElement elementBase)`
`ScriptingHandler`
`createHandler(WebResponse response)`
`String[]`
`getErrorMessages()`
Returns the accumulated script error messages encountered.
`boolean`
`isEnabled()`
Returns true if this engine is enabled.
`boolean`
`isThrowExceptionsOnError()`
Returns true if script errors cause exceptions to be thrown.
`void`
`load(WebResponse response)`
Runs the 'onload' event (if any) for the specified HTML web response.
`void`
`setThrowExceptionsOnError(boolean throwExceptions)`
Determines whether script errors result in exceptions or warning messages.

## Method Details

### isEnabled

boolean isEnabled()
Returns true if this engine is enabled.

### associate

void associate(WebResponse response)
Associates a scripting engine with the specified HTML web response.

### load

void load(WebResponse response)
Runs the 'onload' event (if any) for the specified HTML web response. Will associate a scripting engine with the response if that has not already been done.

### setThrowExceptionsOnError

void setThrowExceptionsOnError(boolean throwExceptions)
Determines whether script errors result in exceptions or warning messages.

### isThrowExceptionsOnError

boolean isThrowExceptionsOnError()
Returns true if script errors cause exceptions to be thrown.

### getErrorMessages

String[] getErrorMessages()
Returns the accumulated script error messages encountered. Error messages are accumulated only if 'throwExceptionsOnError' is disabled.

### clearErrorMessages

void clearErrorMessages()
Clears the accumulated script error messages.

### createHandler

ScriptingHandler createHandler(HTMLElement elementBase)

### createHandler

ScriptingHandler createHandler(WebResponse response)